Subject: Re: [bug#34246] [PATCH 0/3] Improve the upower-service style.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 16 Feb 2019 22:30:05 +0100

Hello!

Christopher Baines <[email-masked]> skribis:

> These patches update the style of the upower-service. Improving and
> documenting the <upower-configuration> record, and deprecating the
> upower-service procedure.
>
> Directly using record types as default values for service types, along
> with default values for the fields in the record type is generally more
> flexible and configurable than using procedures for service
> configuration. It means that the configuration for the service can be
> changed programatically by generating new configuration based off of the
> original configuration, rather than having to rerun the procedure that
> created the configuration in the first place.
>
>
> Christopher Baines (3):
>   services: Improve the upower-configuration record.
>   services: Improve the upower-service-type.
>   services: desktop: Deprecate the upower-service procedure.

All three patches LGTM.  Thanks for taking the time to do this!  :-)

Ludo’.